package rmsdemo;

import javax.microedition.lcdui.*;
import javax.microedition.rms.*;

public class form extends Form implements CommandListener {
  /**Construct the displayable*/
  StringItem s;

  RecordStore rs;
  RecordEnumeration emumR;

  String arr[] = new String[] {"Rush Hour", "Spider Man 2", "MIB II", "Shangai Knights"};
  Command next = new Command("NEXT",Command.OK,2);
  Command prev = new Command("PREVIOUS",Command.OK,3);
  Command exit = new Command("EXIT",Command.EXIT,1);
  public form() {
    super("MOVIES");
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  /**Component initialization*/
  private void jbInit() throws Exception {
    try{
      rs = RecordStore.openRecordStore("movies", true);
    } catch (RecordStoreException ex) {}
    for (int i = 0; i<arr.length ; i++){
      rs.addRecord(arr[i].getBytes(),0,arr[i].length());
    }

    emumR = rs.enumerateRecords(null,null,true);

    s = new StringItem("MOVIE:","");
    append(s);

    if (emumR.hasNextElement()){
         try{ s.setText(new String(emumR.nextRecord()));} catch (RecordStoreException ex) {}
    }


    // set up this Displayable to listen to command events
    setCommandListener(this);
    // add the Exit command
    addCommand(exit);
    addCommand(prev);
    addCommand(next);
  }

  /**Handle command events*/
  public void commandAction(Command command, Displayable displayable) {
    /** @todo Add command handling code */
   if (command == prev) {
     if (emumR.hasPreviousElement()){
       try{ s.setText(new String(emumR.previousRecord()));} catch (RecordStoreException ex) {}
     }
   }

   if (command == next) {
       if (emumR.hasNextElement()){
         try{ s.setText(new String(emumR.nextRecord()));} catch (RecordStoreException ex) {}
       }
   }

   if (command == exit) {
     try{rs.closeRecordStore();} catch(RecordStoreException ex){}
     rmsMIDlet.quitApp();
   }

  }

}
